REGULATOR_REGISTER_S(9)

NAME
regulator_register_supply_alias - Provide device alias for supply lookup

SYNOPSIS

int regulator_register_supply_alias(struct device * dev, const char * id, struct device * alias_dev, const char * alias_id);

ARGUMENTS

dev
    device that will be given as the regulator “consumer”

id
    Supply name or regulator ID

alias_dev
    device that should be used to lookup the supply

alias_id
    Supply name or regulator ID that should be used to lookup the supply

DESCRIPTION

All lookups for id on dev will instead be conducted for alias_id on alias_dev.

AUTHORS

Liam Girdwood <lrg@slimlogic.co.uk>
    Author.

Mark Brown <broonie@opensource.wolfsonmicro.com>
Wolfson Microelectronics,

    Author.

COPYRIGHT